## GtkIconFileSel GtkIconFileSel — A file selection dialog widget for GTK. |

## Functions

GtkWidget * | gtk_icon_file_selection_new ()
void | gtk_icon_file_selection_construct ()
void | gtk_icon_file_selection_show_tree ()
gint | gtk_icon_file_selection_open_dir ()
void | gtk_icon_file_selection_show_hidden ()
void | gtk_icon_file_selection_set_filter ()
const gchar * | gtk_icon_file_selection_get_selection ()

## Types and Values

struct | GtkIconFileSel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkIconFileSel

## Implemented Interfaces

GtkIconFileSel implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

It is a nice looking file selection dialog using icons. It combines GtkDirTree and GtkFileList to navigate the file system and select files. It has also two entries to select the file and filter.

## Functions

### gtk_icon_file_selection_new ()

    GtkWidget *
    gtk_icon_file_selection_new (const gchar *title);

### gtk_icon_file_selection_construct ()

    void
    gtk_icon_file_selection_construct (GtkIconFileSel *filesel,
                                       const gchar *title);

Sets the window title for GtkIconFileSelection widget.

#### Parameters

filesel | the GtkIconFileSelection widget. |
title | window title. |

### gtk_icon_file_selection_show_tree ()

    void
    gtk_icon_file_selection_show_tree (GtkIconFileSel *filesel,
                                       gboolean show);

Show icon file selection tree in filesel widget.

#### Parameters

filesel | the GtkIconFileSelection widget. |
show | TRUE(show) or FALSE(don't show). |

### gtk_icon_file_selection_open_dir ()

    gint
    gtk_icon_file_selection_open_dir (GtkIconFileSel *filesel,
                                      const gchar *path);

Show the file from path directory in filesel widget.

#### Parameters

filesel | the GtkIconFileSelection widget. |
path | directory path. |

#### Returns

TRUE or FALSE depending on success

### gtk_icon_file_selection_show_hidden ()

    void
    gtk_icon_file_selection_show_hidden (GtkIconFileSel *filesel,
                                         gboolean visible);

Set the visibility of hidden files.

#### Parameters

filesel | the GtkIconFileSelection widget. |
visible | TRUE(show hidden files) or FALSE(don't show hidden files). |

### gtk_icon_file_selection_set_filter ()

    void
    gtk_icon_file_selection_set_filter (GtkIconFileSel *filesel,
                                        const gchar *filter);

Set a filter for the files show in filelist.

#### Parameters

filesel | the GtkIconFileSelection widget. |
filter | filter to be applied on files. |

### gtk_icon_file_selection_get_selection ()

    const gchar *
    gtk_icon_file_selection_get_selection (GtkIconFileSel *filesel);

Gets the current selection applied on GtkIconFileSelection.

#### Parameters

filesel | the GtkIconFileSelection widget. |

#### Returns

the current selection.

## Types and Values

### struct GtkIconFileSel

    struct GtkIconFileSel;